﻿using System.Data.Linq;
using System.Data.Linq.Mapping;

namespace LinqToSqlManualExample
{
	[Table(Name = "Products")]
	public class Product
	{
		private EntityRef<Brand> _brand;
		private EntitySet<ProductIngredient> _productIngredients;

		[Column(IsPrimaryKey = true)]
		public int ProductID { get; set; }

		[Column]
		public int BrandID { get; set; }

		[Column(CanBeNull = false)]
		public string Name { get; set; }

		[Column]
		public decimal EnergyValue { get; set; }

		[Column]
		public decimal? Proteins { get; set; }

		[Column]
		public decimal? Fats { get; set; }

		[Column]
		public decimal? Carbohydrates { get; set; }

		[Association(Storage = "_brand", ThisKey = "BrandID")]
		public Brand Brand
		{
			get { return _brand.Entity; }
			set { _brand.Entity = value; }
		}

		[Association(Storage = "_productIngredients", OtherKey = "ProductID")]
		public EntitySet<ProductIngredient> ProductIngredients
		{
			get { return _productIngredients; }
			set { _productIngredients.Assign(value); }
		}
	}
}
