﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;

namespace LinqToSqlManualExample
{
	class Program
	{
		static void Main(string[] args)
		{
            PrintProducts();

			Console.ReadLine();
		}

		private static void PrintProducts()
		{
			string connectionString = ConfigurationManager.ConnectionStrings["connection"].ConnectionString;
			using (var context = new HealthyFoodContext(connectionString))
			{
				IEnumerable<Product> products = context.Brands
					.Where(b => b.ProducerID != 1)
					.SelectMany(b => b.Products);

				foreach (Product product in products)
				{
					Console.WriteLine("ProductID: {0}; Name: {1}", product.ProductID, product.Name);
				}
			}
		}
	}
}
